Get billing account
curl --request GET \
--url https://api.interchange.io/api/v2/billing/account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"organization": {
"customerId": 0,
"name": "<string>",
"roles": [
"BUYER"
],
"capabilities": {
"seller": true,
"buyer": true
},
"currency": "USD"
},
"scope": {
"boundary": "ORG",
"delegatedFrom": 0
},
"standing": {
"posture": "PREPAY",
"creditLimitMinor": "<string>",
"currency": "USD",
"paymentTerms": "net_15",
"verificationLevel": "none",
"holds": [
{
"id": "<string>",
"type": "PAYMENT_FAILED",
"reason": "<string>",
"createdAt": "<string>"
}
]
},
"plan": {
"requiredTosVersion": "<string>",
"tosUrl": "<string>",
"tosVersion": "<string>",
"tosAcceptedAt": "<string>",
"tosAcceptedByEmail": "<string>",
"contractStatus": "active",
"rateCardType": "STANDARD",
"effectiveDate": "<string>",
"endDate": "<string>",
"autoRenewal": true,
"subscriptions": [
"<unknown>"
]
},
"pricing": {
"effective": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
},
"publicList": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
},
"provenance": "STANDARD"
},
"usage": {
"intelligence": {
"periodStart": "<string>",
"byFeature": [
{
"bucket": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495
}
],
"byDay": [
{
"bucket": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495
}
],
"totalCostMicroUsd": 4503599627370495
},
"creditBalance": {
"effectiveCustomerId": 0,
"currency": "USD",
"creditLimitMinor": "30000000",
"fundedBalanceMinor": "10000000",
"owedBalanceMinor": "0",
"netBalanceMinor": "-10000000",
"spendableMinor": "40000000",
"accounts": [
{
"code": "customer:42:USD:buyer_funds",
"kind": "ASSET",
"balanceMinor": "10000000",
"currency": "USD"
}
]
},
"orgPosition": {
"orgRootCustomerId": 0,
"customerCount": 0,
"currency": "USD",
"fundedMinor": "<string>",
"committedMinor": "<string>",
"creditLimitMinor": "<string>",
"availableMinor": "<string>",
"overLimit": true
},
"iuAccount": {
"planKey": "metered",
"isCustom": true,
"commitmentMinor": 0,
"currency": "USD",
"perIuOverageMinor": 0,
"rolloverPolicy": {
"capBasisPoints": 5000,
"expiresAfterBillingPeriods": 4503599627370495
},
"cycle": "<string>",
"cycleStart": "<string>",
"cycleEnd": "<string>",
"usedIus": 123,
"buckets": {
"free": {
"granted": 123,
"used": 123,
"remaining": 123
},
"rollover": {
"granted": 123,
"used": 123,
"remaining": 123
},
"included": {
"granted": 123,
"used": 123,
"remaining": 123
},
"overage": {
"ius": 123,
"minor": 0,
"capMinor": 0,
"warnAtMinor": 0,
"overWarnThreshold": true,
"overCap": true
}
},
"forecast": {
"projectedIusThisCycle": 123,
"projectedOverageMinor": 0
},
"ratingTerms": {
"source": "binding",
"revisionId": "<string>"
}
},
"iuActivity": {
"periodStart": "<string>",
"periodEnd": "<string>",
"totalIus": 1,
"byActivity": [
{
"activityCode": "<string>",
"displayName": "<string>",
"ius": 1
}
],
"byDay": [
{
"date": "<string>",
"ius": 1
}
]
}
},
"payment": {
"billingInfo": {
"contactName": "<string>",
"email": [
"<string>"
],
"ccEmails": [
"<string>"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "<string>",
"taxId": "<string>",
"visibility": "visible",
"redactedFields": [
"<string>"
]
},
"paymentMethod": {
"kind": "CARD",
"brand": "<string>",
"last4": "<string>",
"expiresMonth": 6,
"expiresYear": 0,
"status": "pending_verification"
},
"cardCollectionEnabled": true,
"payoutSetupRequired": true,
"storefrontBilling": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"currency": "<string>",
"defaultNetDays": 123
},
"creditApplications": [
{
"id": "42",
"customerId": 0,
"customerName": "<string>",
"requestedCreditLimit": 0,
"requestedPaymentTerms": "net_15",
"currency": "<string>",
"status": "PENDING",
"justification": "<string>",
"grantedCreditLimit": 0,
"grantedPaymentTerms": "net_15",
"acceptedBy": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewerName": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewerNotes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"deposits": [
{
"id": "<string>",
"amountMinor": "<string>",
"currency": "<string>",
"occurredAt": "<string>",
"status": "POSTED",
"provider": "<string>",
"reference": "<string>"
}
],
"invoices": [
"<unknown>"
]
},
"contracts": {
"agreements": [
{
"contractId": "<string>",
"status": "active",
"agreementKind": "STANDARD_TOS",
"effectiveDate": "<string>",
"endDate": "<string>",
"acceptedAt": "<string>",
"acceptedByEmail": "<string>"
}
],
"documents": [
{
"id": "<string>",
"title": "<string>",
"downloadUrl": "<string>",
"sharepointLink": "<string>",
"gcpLink": "<string>"
}
],
"mediaRateCard": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
}
},
"enterpriseContracts": {
"commercialState": {
"billingCustomerId": 4503599627370495,
"eligible": true,
"eligibleWorkloads": [
"BUYER"
],
"commercialStatus": "FREE",
"offer": {
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"serviceStart": "ON_ACCEPTANCE",
"initialTermMonths": 60,
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"rateCard": {
"name": "<string>",
"publicVersion": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
},
"agreement": {
"kind": "STANDARD_TOS",
"tosVersion": "<string>",
"termsUrl": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"discount": {
"basisPoints": 5000,
"percent": 49.995,
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"plans": [
{
"planCode": "<string>",
"displayName": "<string>",
"displayOrder": 4503599627370495,
"includedIus": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"commitmentBillingTiming": "PERIOD_START",
"usageBillingTiming": "PERIOD_END",
"resetInterval": "MONTH",
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"renewalPosture": "STANDARD_ROLLING",
"pricing": {
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495
}
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"currentBinding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"upcomingBinding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"history": [
{
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
}
],
"renewal": {
"version": "<string>",
"status": "RENEWS",
"targetBindingId": "<string>",
"effectiveFreeAt": "2023-11-07T05:31:56Z",
"changeAllowedUntil": "2023-11-07T05:31:56Z",
"allowedActions": [
"CANCEL_AT_TERM"
],
"latestInstruction": {
"id": "<string>",
"bindingId": "<string>",
"instructionType": "CANCEL_AT_TERM",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"source": "PLAN_BILLING",
"recordedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"bindingId": "<string>",
"instructionType": "CANCEL_AT_TERM",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"source": "PLAN_BILLING",
"recordedAt": "2023-11-07T05:31:56Z"
}
]
},
"setupGrant": {
"grantedIus": 500000,
"rolloverEnabled": false,
"grantedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"attributionKind": "PROMOTION"
},
"calibratingActivities": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"status": "CALIBRATING",
"iuAmountMilli": 4503599627370495,
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH"
}
],
"paymentSetupUrl": "<string>",
"nextAction": "ACCEPT_GOVERNING_AGREEMENT"
},
"packages": [
{
"binding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"lifecycleState": "PENDING_FUNDING",
"reasonCodes": [
"payment_authority_missing"
],
"rights": [
{
"featureKey": "<string>",
"purchased": true,
"state": "PENDING"
}
]
}
],
"visibility": "visible",
"redactedFields": [
"proposal"
]
},
"accounts": [
{
"customerId": 0,
"name": "<string>",
"company": "<string>",
"delegation": "NONE",
"periodFees": 123,
"intelligenceUsage": 123
}
],
"totalAccounts": 0,
"nextAction": {
"type": "ACCEPT_TOS",
"message": "<string>",
"docsUrl": "<string>",
"route": "<string>",
"taskId": "<string>"
},
"permissions": {
"canAcceptTos": true,
"canEditBillingInfo": true,
"canSetPayoutPayee": true,
"canReadPayoutPayees": true,
"canApplyForCredit": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Billing
Get billing account
One consolidated view of the organization’s commercial account: plan and terms, effective pricing, intelligence usage, credit/prepay balance, agreements, child accounts, and the single next action (if any) needed to become or remain paid. Org-admin only; child-account requests resolve to the parent organization.
GET
/
billing
/
account
Get billing account
curl --request GET \
--url https://api.interchange.io/api/v2/billing/account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"organization": {
"customerId": 0,
"name": "<string>",
"roles": [
"BUYER"
],
"capabilities": {
"seller": true,
"buyer": true
},
"currency": "USD"
},
"scope": {
"boundary": "ORG",
"delegatedFrom": 0
},
"standing": {
"posture": "PREPAY",
"creditLimitMinor": "<string>",
"currency": "USD",
"paymentTerms": "net_15",
"verificationLevel": "none",
"holds": [
{
"id": "<string>",
"type": "PAYMENT_FAILED",
"reason": "<string>",
"createdAt": "<string>"
}
]
},
"plan": {
"requiredTosVersion": "<string>",
"tosUrl": "<string>",
"tosVersion": "<string>",
"tosAcceptedAt": "<string>",
"tosAcceptedByEmail": "<string>",
"contractStatus": "active",
"rateCardType": "STANDARD",
"effectiveDate": "<string>",
"endDate": "<string>",
"autoRenewal": true,
"subscriptions": [
"<unknown>"
]
},
"pricing": {
"effective": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
},
"publicList": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
},
"provenance": "STANDARD"
},
"usage": {
"intelligence": {
"periodStart": "<string>",
"byFeature": [
{
"bucket": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495
}
],
"byDay": [
{
"bucket": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495
}
],
"totalCostMicroUsd": 4503599627370495
},
"creditBalance": {
"effectiveCustomerId": 0,
"currency": "USD",
"creditLimitMinor": "30000000",
"fundedBalanceMinor": "10000000",
"owedBalanceMinor": "0",
"netBalanceMinor": "-10000000",
"spendableMinor": "40000000",
"accounts": [
{
"code": "customer:42:USD:buyer_funds",
"kind": "ASSET",
"balanceMinor": "10000000",
"currency": "USD"
}
]
},
"orgPosition": {
"orgRootCustomerId": 0,
"customerCount": 0,
"currency": "USD",
"fundedMinor": "<string>",
"committedMinor": "<string>",
"creditLimitMinor": "<string>",
"availableMinor": "<string>",
"overLimit": true
},
"iuAccount": {
"planKey": "metered",
"isCustom": true,
"commitmentMinor": 0,
"currency": "USD",
"perIuOverageMinor": 0,
"rolloverPolicy": {
"capBasisPoints": 5000,
"expiresAfterBillingPeriods": 4503599627370495
},
"cycle": "<string>",
"cycleStart": "<string>",
"cycleEnd": "<string>",
"usedIus": 123,
"buckets": {
"free": {
"granted": 123,
"used": 123,
"remaining": 123
},
"rollover": {
"granted": 123,
"used": 123,
"remaining": 123
},
"included": {
"granted": 123,
"used": 123,
"remaining": 123
},
"overage": {
"ius": 123,
"minor": 0,
"capMinor": 0,
"warnAtMinor": 0,
"overWarnThreshold": true,
"overCap": true
}
},
"forecast": {
"projectedIusThisCycle": 123,
"projectedOverageMinor": 0
},
"ratingTerms": {
"source": "binding",
"revisionId": "<string>"
}
},
"iuActivity": {
"periodStart": "<string>",
"periodEnd": "<string>",
"totalIus": 1,
"byActivity": [
{
"activityCode": "<string>",
"displayName": "<string>",
"ius": 1
}
],
"byDay": [
{
"date": "<string>",
"ius": 1
}
]
}
},
"payment": {
"billingInfo": {
"contactName": "<string>",
"email": [
"<string>"
],
"ccEmails": [
"<string>"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "<string>",
"taxId": "<string>",
"visibility": "visible",
"redactedFields": [
"<string>"
]
},
"paymentMethod": {
"kind": "CARD",
"brand": "<string>",
"last4": "<string>",
"expiresMonth": 6,
"expiresYear": 0,
"status": "pending_verification"
},
"cardCollectionEnabled": true,
"payoutSetupRequired": true,
"storefrontBilling": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"currency": "<string>",
"defaultNetDays": 123
},
"creditApplications": [
{
"id": "42",
"customerId": 0,
"customerName": "<string>",
"requestedCreditLimit": 0,
"requestedPaymentTerms": "net_15",
"currency": "<string>",
"status": "PENDING",
"justification": "<string>",
"grantedCreditLimit": 0,
"grantedPaymentTerms": "net_15",
"acceptedBy": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewerName": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewerNotes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"deposits": [
{
"id": "<string>",
"amountMinor": "<string>",
"currency": "<string>",
"occurredAt": "<string>",
"status": "POSTED",
"provider": "<string>",
"reference": "<string>"
}
],
"invoices": [
"<unknown>"
]
},
"contracts": {
"agreements": [
{
"contractId": "<string>",
"status": "active",
"agreementKind": "STANDARD_TOS",
"effectiveDate": "<string>",
"endDate": "<string>",
"acceptedAt": "<string>",
"acceptedByEmail": "<string>"
}
],
"documents": [
{
"id": "<string>",
"title": "<string>",
"downloadUrl": "<string>",
"sharepointLink": "<string>",
"gcpLink": "<string>"
}
],
"mediaRateCard": {
"type": "STANDARD",
"rates": [
{
"customerRole": "BUYER",
"billingType": "DECISIONED",
"pricingType": "MARGIN",
"feeRatePercent": 123,
"unitPrice": 123,
"unit": "CPM",
"currency": "<string>"
}
]
}
},
"enterpriseContracts": {
"commercialState": {
"billingCustomerId": 4503599627370495,
"eligible": true,
"eligibleWorkloads": [
"BUYER"
],
"commercialStatus": "FREE",
"offer": {
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"serviceStart": "ON_ACCEPTANCE",
"initialTermMonths": 60,
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"rateCard": {
"name": "<string>",
"publicVersion": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
},
"agreement": {
"kind": "STANDARD_TOS",
"tosVersion": "<string>",
"termsUrl": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"discount": {
"basisPoints": 5000,
"percent": 49.995,
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"plans": [
{
"planCode": "<string>",
"displayName": "<string>",
"displayOrder": 4503599627370495,
"includedIus": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"commitmentBillingTiming": "PERIOD_START",
"usageBillingTiming": "PERIOD_END",
"resetInterval": "MONTH",
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"renewalPosture": "STANDARD_ROLLING",
"pricing": {
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495
}
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"currentBinding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"upcomingBinding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"history": [
{
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
}
],
"renewal": {
"version": "<string>",
"status": "RENEWS",
"targetBindingId": "<string>",
"effectiveFreeAt": "2023-11-07T05:31:56Z",
"changeAllowedUntil": "2023-11-07T05:31:56Z",
"allowedActions": [
"CANCEL_AT_TERM"
],
"latestInstruction": {
"id": "<string>",
"bindingId": "<string>",
"instructionType": "CANCEL_AT_TERM",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"source": "PLAN_BILLING",
"recordedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"bindingId": "<string>",
"instructionType": "CANCEL_AT_TERM",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"source": "PLAN_BILLING",
"recordedAt": "2023-11-07T05:31:56Z"
}
]
},
"setupGrant": {
"grantedIus": 500000,
"rolloverEnabled": false,
"grantedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"attributionKind": "PROMOTION"
},
"calibratingActivities": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"status": "CALIBRATING",
"iuAmountMilli": 4503599627370495,
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH"
}
],
"paymentSetupUrl": "<string>",
"nextAction": "ACCEPT_GOVERNING_AGREEMENT"
},
"packages": [
{
"binding": {
"id": "<string>",
"agreementKind": "STANDARD_TOS",
"tosVersion": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"entitlementBundle": {
"schemaVersion": 1,
"bundleKey": "<string>",
"revision": 1073741823,
"displayName": "<string>",
"visibility": "REUSABLE",
"features": [
{
"kind": "FEATURE_ACCESS",
"featureKey": "<string>",
"scope": {
"kind": "ORGANIZATION"
},
"parameters": {}
}
],
"capacities": [
{
"kind": "BOUNDED_CAPACITY",
"target": "COMPATIBILITY_WORKSPACE",
"unit": "COUNT",
"limitCount": 500000,
"scope": {
"kind": "ORGANIZATION"
}
}
]
},
"supportPackage": {
"schemaVersion": 1,
"kind": "UNLIMITED_NAMED_SUPPORT",
"displayName": "<string>"
},
"proposal": {
"schemaVersion": 1,
"documentTitle": "<string>",
"executiveSummary": "<string>",
"scope": {
"included": [
"<string>"
],
"exclusions": []
},
"term": {
"serviceStart": {
"kind": "ON_ACCEPTANCE"
},
"initialTermMonths": 60,
"renewal": {
"kind": "NO_AUTOMATIC_RENEWAL"
},
"terminationForConvenience": {
"noticeDays": 182
}
},
"paymentOptions": [
{
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
}
],
"templateKey": "ENTERPRISE_V1",
"organizationNameAtIssue": "<string>"
},
"selectedPaymentOption": {
"kind": "MONTHLY",
"optionKey": "<string>",
"displayName": "<string>",
"currency": "USD",
"monthlyAmountMinor": 4503599627370495,
"termMonths": 60,
"paymentTermsDays": 182,
"collectionMethods": [
"ACH"
]
},
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "USD",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370495,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"activitySchedule": [
{
"activityCode": "COMPLETED_INTERCHANGE_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 4503599627370495,
"unit": "ACCOUNT_MONTH",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 1073741823,
"pricing": "STANDARD",
"customIuAmountMilli": 1073741823,
"effectiveIuAmountMilli": 1073741823,
"billable": true,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"visibility": "PUBLIC",
"displayName": "<string>",
"adjustmentSource": "RATE_CARD_DEFAULT",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
},
"rateCardSnapshot": null
}
},
"lifecycleState": "PENDING_FUNDING",
"reasonCodes": [
"payment_authority_missing"
],
"rights": [
{
"featureKey": "<string>",
"purchased": true,
"state": "PENDING"
}
]
}
],
"visibility": "visible",
"redactedFields": [
"proposal"
]
},
"accounts": [
{
"customerId": 0,
"name": "<string>",
"company": "<string>",
"delegation": "NONE",
"periodFees": 123,
"intelligenceUsage": 123
}
],
"totalAccounts": 0,
"nextAction": {
"type": "ACCEPT_TOS",
"message": "<string>",
"docsUrl": "<string>",
"route": "<string>",
"taskId": "<string>"
},
"permissions": {
"canAcceptTos": true,
"canEditBillingInfo": true,
"canSetPayoutPayee": true,
"canReadPayoutPayees": true,
"canApplyForCredit": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}